Skip to main content
POST
/
api
/
v2
/
search_engines
/
{hashid}
/
indices
/
{name}
/
items
/
_mget
Find by ids
curl --request POST \
  --url https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/items/_mget \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "1234"
  }
]
'
[
  {
    "id": "1234",
    "found": true,
    "item": {
      "title": "Item Title",
      "link": "http://www.example.com/img/1234.png",
      "id": "1234",
      "df_manual_boost": 1,
      "categories": [
        "cat1",
        "cat2"
      ]
    }
  }
]

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Pattern: ^[a-f0-9]{32}$
name
string
required

Name of an index.

Pattern: ^[a-z][a-z0-9_]*$

Body

application/json
Required array length: 1 - 100 elements
id
string

Unique identifier of the item.

Example:
[{ "id": "1234" }]

Response

Mget succeed.

id
string

Item id

found
boolean

Indicates if the item was found or not.

item
Item · object

A "searchable" element. Items are the objects that form the search results.

Example:
{
"title": "Adidas Originals Trefoil Hoodie",
"link": "https://woocommerce.doofinder.com/product/adidas-originals-trefoil-hoodie/",
"image_link": "https://woocommerce.doofinder.com/wp-content/uploads/2024/02/suda-6-scaled.jpg",
"id": "1234",
"color": "blue",
"price": 15.99,
"sale_price": 11.99,
"categories": ["Clothes > Hoodie", "Men > Hoodie"]
}